﻿$packageName = 'tomcat'
$32BitUrl = 'http://apache.hippo.nl/tomcat/tomcat-8/v8.0.23/bin/apache-tomcat-8.0.23-windows-x86.zip'
$64BitUrl = 'http://apache.hippo.nl/tomcat/tomcat-8/v8.0.23/bin/apache-tomcat-8.0.23-windows-x64.zip'
$global:installLocation = Get-BinRoot
$checksum = 'a21c2703afeff854fc1e1f02d0c48141'
$checksumType = 'md5'
$checksum64 = 'ec6aaf0b9d12e09d8cd61a7926e3d151'
$checksumType64 = 'md5'
$availablePort = '8080'
$serviceName = 'tomcat'

if(!$PSScriptRoot){ $PSScriptRoot = Split-Path $MyInvocation.MyCommand.Path -Parent }
. "$PSScriptRoot\OverwriteParameters.ps1"
. "$PSScriptRoot\Install-Service.ps1"

OverwriteParameters

Install-ChocolateyZipPackage "$packageName" "$32BitUrl" "$global:installLocation" "$64BitUrl" -checksum "$checksum" -checksumType "$checksumType" -checksum64 "$checksum64" -checksumType64 "$checksumType64"

$catalinaHome = "$global:installLocation\apache-tomcat-8.0.23"
$createServiceCommand = "${catalinaHome}\bin\service.bat install $packageName"

Install-ChocolateyEnvironmentVariable 'CATALINA_HOME' "$catalinaHome"

Install-Service $packageName $serviceName $createServiceCommand $availablePort